_Efl_Input_Pointer_Data Struct Reference

## Data Fields

Eo * | eo
unsigned int | timestamp
int | button
unsigned int | pressed_buttons
int | touch_id
double | radius
double | radius_x
double | radius_y
double | pressure
double | distance
double | azimuth
double | tilt
double | twist
double | angle
Eina_Vector2 | cur
Eina_Vector2 | prev
Eina_Vector2 | raw
Eina_Vector2 | norm
struct { |
int z |
Eina_Bool horizontal |
} | wheel
Efl_Gfx_Entity * | source
Efl_Input_Device * | device
Efl_Pointer_Action | action
Efl_Pointer_Flags | button_flags
Efl_Input_Flags | event_flags
void * | data
Eina_Bool | window_pos
Evas_Modifier * | modifiers
Evas_Lock * | locks
void * | legacy
uint32_t | value_flags
Eina_Bool | has_norm: 1
Eina_Bool | has_raw: 1
Eina_Bool | evas_done: 1
Eina_Bool | fake: 1
Eina_Bool | win_fed: 1